OpenZWave Library: OpenZWave::CommandClass Class Reference

| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
OpenZWave::CommandClass Class Referenceabstract
Z-Wave CommandClass Support

Base class for all Z-Wave command classes. More...

`#include <CommandClass.h>`

Inheritance diagram for OpenZWave::CommandClass:

## Classes
struct | RefreshValue

## Public Types
enum | { RequestFlag_Static = 0x00000001 , RequestFlag_Session = 0x00000002 , RequestFlag_Dynamic = 0x00000004 , RequestFlag_AfterMark = 0x00000008 }
enum | StaticRequest { StaticRequest_Instances = 0x01 , StaticRequest_Values = 0x02 , StaticRequest_Version = 0x04 }
typedef struct OpenZWave::CommandClass::RefreshValue | RefreshValue

## Public Member Functions
| CommandClass (uint32 const _homeId, uint8 const _nodeId)
virtual | ~CommandClass ()
virtual void | ReadXML (TiXmlElement const *_ccElement)
virtual void | WriteXML (TiXmlElement *_ccElement)
virtual bool | RequestState (uint32 const _requestFlags, uint8 const _instance, Driver::MsgQueue const _queue)
virtual bool | RequestValue (uint32 const _requestFlags, uint16 const _index, uint8 const _instance, Driver::MsgQueue const _queue)
virtual void | refreshValuesOnWakeup ()
virtual uint8 const | GetCommandClassId () const =0
virtual string const | GetCommandClassName () const =0
string const | GetCommandClassLabel ()
void | SetCommandClassLabel (string label)
virtual bool | HandleMsg (uint8 const *_data, uint32 const _length, uint32 const _instance=1)=0
virtual bool | HandleIncomingMsg (uint8 const *_data, uint32 const _length, uint32 const _instance=1)
virtual bool | SetValue (Value const &_value)
virtual void | SetValueBasic (uint8 const _instance, uint8 const _level)
virtual void | SetVersion (uint8 const _version)
bool | RequestStateForAllInstances (uint32 const _requestFlags, Driver::MsgQueue const _queue)
bool | CheckForRefreshValues (Value const *_value)
virtual uint8 | GetMaxVersion ()
uint8 | GetVersion () const
Bitfield const * | GetInstances () const
uint32 | GetHomeId () const
uint8 | GetNodeId () const
Driver * | GetDriver () const
Node * | GetNodeUnsafe () const
Value * | GetValue (uint8 const _instance, uint16 const _index)
bool | RemoveValue (uint8 const _instance, uint16 const _index)
uint8 | GetEndPoint (uint8 const _instance)
uint8 | GetInstance (uint8 const _endPoint)
void | SetInstances (uint8 const _instances)
void | SetInstance (uint8 const _endPoint)
virtual void | SetInstanceLabel (uint8 const _instance, char *label)
string | GetInstanceLabel (uint8 const _instance)
uint8 | GetNumInstances ()
void | SetAfterMark ()
void | SetEndPoint (uint8 const _instance, uint8 const _endpoint)
bool | IsAfterMark () const
bool | IsSecured () const
void | SetSecured ()
bool | IsSecureSupported () const
void | ClearSecureSupport ()
void | SetSecureSupport ()
void | SetInNIF ()
bool | IsInNIF ()
string | ExtractValue (uint8 const *_data, uint8 *_scale, uint8 *_precision, uint8 _valueOffset=1) const
void | AppendValue (Msg *_msg, string const &_value, uint8 const _scale) const
uint8 const | GetAppendValueSize (string const &_value) const
int32 | ValueToInteger (string const &_value, uint8 *o_precision, uint8 *o_size) const
void | UpdateMappedClass (uint8 const _instance, uint8 const _classId, uint8 const _value)
virtual void | CreateVars (uint8 const _instance, uint8 const _index)
bool | HasStaticRequest (uint8_t _request) const
void | SetStaticRequest (uint8_t _request)
void | ClearStaticRequest (uint8_t _request)
uint32 | GetSentCnt () const
uint32 | GetReceivedCnt () const
void | SentCntIncr ()
void | ReceivedCntIncr ()

## Protected Member Functions
virtual void | CreateVars (uint8 const _instance)
void | ReadValueRefreshXML (TiXmlElement const *_ccElement)

## Protected Attributes
CompatOptionManager | m_com
CompatOptionManager | m_dom

## Detailed Description

Base class for all Z-Wave command classes.

## Member Typedef Documentation

## ◆ RefreshValue

typedef struct OpenZWave::CommandClass::RefreshValue OpenZWave::CommandClass::RefreshValue

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
RequestFlag_Static | Values that never change.
RequestFlag_Session | Values that change infrequently, and so only need to be requested at start up, or via a manual refresh.
RequestFlag_Dynamic | Values that change and will be requested if polling is enabled on the node.
RequestFlag_AfterMark | Values relevent to Controlling CC, not Controlled CC.

## ◆ StaticRequest

enum OpenZWave::CommandClass::StaticRequest

Enumerator
StaticRequest_Instances |
StaticRequest_Values |
StaticRequest_Version |

## Constructor & Destructor Documentation

## ◆ CommandClass()

CommandClass::CommandClass | ( | uint32 const | _homeId,
|  | uint8 const | _nodeId
| ) |  |

## ◆ ~CommandClass()

CommandClass::~CommandClass | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ AppendValue()

void CommandClass::AppendValue | ( | Msg * | _msg,
|  | string const & | _value,
|  | uint8 const | _scale
| ) |  | const

Append a floating-point value to a message.

Parameters

  _msg | The message to which the value should be appended.
  _value | A string containing a decimal number to be appended.
  _scale | A byte indicating the scale corresponding to this value (e.g., 1=F and 0=C for temperatures).

See also
  Msg

## ◆ CheckForRefreshValues()

bool CommandClass::CheckForRefreshValues | ( | Value const * | _value | ) |

## ◆ ClearSecureSupport()

void OpenZWave::CommandClass::ClearSecureSupport | ( |  | ) |
| inline

## ◆ ClearStaticRequest()

void CommandClass::ClearStaticRequest | ( | uint8_t | _request | ) |

## ◆ CreateVars() [1/2]

virtual void OpenZWave::CommandClass::CreateVars | ( | uint8 const | _instance | ) |
| inlineprotectedvirtual

Reimplemented in OpenZWave::AssociationCommandConfiguration, OpenZWave::BarrierOperator, OpenZWave::Basic, OpenZWave::BasicWindowCovering, OpenZWave::Battery, OpenZWave::CentralScene, OpenZWave::ClimateControlSchedule, OpenZWave::Clock, OpenZWave::Color, OpenZWave::ControllerReplication, OpenZWave::DoorLock, OpenZWave::DoorLockLogging, OpenZWave::EnergyProduction, OpenZWave::Indicator, OpenZWave::Language, OpenZWave::Lock, OpenZWave::ManufacturerSpecific, OpenZWave::Meter, OpenZWave::MeterPulse, OpenZWave::Powerlevel, OpenZWave::Protection, OpenZWave::SceneActivation, OpenZWave::Security, OpenZWave::SensorBinary, OpenZWave::SensorMultilevel, OpenZWave::SimpleAV, OpenZWave::SoundSwitch, OpenZWave::SwitchAll, OpenZWave::SwitchBinary, OpenZWave::SwitchMultilevel, OpenZWave::SwitchToggleBinary, OpenZWave::SwitchToggleMultilevel, OpenZWave::ThermostatFanMode, OpenZWave::ThermostatFanState, OpenZWave::ThermostatMode, OpenZWave::ThermostatOperatingState, OpenZWave::TimeParameters, OpenZWave::UserCode, OpenZWave::Version, OpenZWave::WakeUp, and OpenZWave::ZWavePlusInfo.

## ◆ CreateVars() [2/2]

virtual void OpenZWave::CommandClass::CreateVars | ( | uint8 const | _instance,
|  | uint8 const | _index
| ) |  |
| inlinevirtual

Reimplemented in OpenZWave::ThermostatSetpoint.

## ◆ ExtractValue()

string CommandClass::ExtractValue | ( | uint8 const * | _data,
|  | uint8 * | _scale,
|  | uint8 * | _precision,
|  | uint8 | _valueOffset = `1`
| ) |  | const

## ◆ GetAppendValueSize()

uint8 const CommandClass::GetAppendValueSize | ( | string const & | _value | ) | const

## ◆ GetCommandClassId()

virtual uint8 const OpenZWave::CommandClass::GetCommandClassId | ( |  | ) | const
| pure virtual

Implemented in OpenZWave::Alarm, OpenZWave::ApplicationStatus, OpenZWave::Association, OpenZWave::AssociationCommandConfiguration, OpenZWave::BarrierOperator, OpenZWave::Basic, OpenZWave::BasicWindowCovering, OpenZWave::Battery, OpenZWave::CentralScene, OpenZWave::ClimateControlSchedule, OpenZWave::Clock, OpenZWave::Color, OpenZWave::Configuration, OpenZWave::ControllerReplication, OpenZWave::CRC16Encap, OpenZWave::DeviceResetLocally, OpenZWave::DoorLock, OpenZWave::DoorLockLogging, OpenZWave::EnergyProduction, OpenZWave::Hail, OpenZWave::Indicator, OpenZWave::Language, OpenZWave::Lock, OpenZWave::ManufacturerProprietary, OpenZWave::ManufacturerSpecific, OpenZWave::Meter, OpenZWave::MeterPulse, OpenZWave::MultiChannelAssociation, OpenZWave::MultiCmd, OpenZWave::MultiInstance, OpenZWave::NodeNaming, OpenZWave::NoOperation, OpenZWave::Powerlevel, OpenZWave::Proprietary, OpenZWave::Protection, OpenZWave::SceneActivation, OpenZWave::Security, OpenZWave::SensorAlarm, OpenZWave::SensorBinary, OpenZWave::SensorMultilevel, OpenZWave::SimpleAV, OpenZWave::SoundSwitch, OpenZWave::SwitchAll, OpenZWave::SwitchBinary, OpenZWave::SwitchMultilevel, OpenZWave::SwitchToggleBinary, OpenZWave::SwitchToggleMultilevel, OpenZWave::ThermostatFanMode, OpenZWave::ThermostatFanState, OpenZWave::ThermostatMode, OpenZWave::ThermostatOperatingState, OpenZWave::ThermostatSetpoint, OpenZWave::TimeParameters, OpenZWave::UserCode, OpenZWave::Version, OpenZWave::WakeUp, and OpenZWave::ZWavePlusInfo.

## ◆ GetCommandClassLabel()

string const CommandClass::GetCommandClassLabel | ( |  | ) |

## ◆ GetCommandClassName()

virtual string const OpenZWave::CommandClass::GetCommandClassName | ( |  | ) | const
| pure virtual

Implemented in OpenZWave::Alarm, OpenZWave::ApplicationStatus, OpenZWave::Association, OpenZWave::AssociationCommandConfiguration, OpenZWave::BarrierOperator, OpenZWave::Basic, OpenZWave::BasicWindowCovering, OpenZWave::Battery, OpenZWave::CentralScene, OpenZWave::ClimateControlSchedule, OpenZWave::Clock, OpenZWave::Color, OpenZWave::Configuration, OpenZWave::ControllerReplication, OpenZWave::CRC16Encap, OpenZWave::DeviceResetLocally, OpenZWave::DoorLock, OpenZWave::DoorLockLogging, OpenZWave::EnergyProduction, OpenZWave::Hail, OpenZWave::Indicator, OpenZWave::Language, OpenZWave::Lock, OpenZWave::ManufacturerProprietary, OpenZWave::ManufacturerSpecific, OpenZWave::Meter, OpenZWave::MeterPulse, OpenZWave::MultiChannelAssociation, OpenZWave::MultiCmd, OpenZWave::MultiInstance, OpenZWave::NodeNaming, OpenZWave::NoOperation, OpenZWave::Powerlevel, OpenZWave::Proprietary, OpenZWave::Protection, OpenZWave::SceneActivation, OpenZWave::Security, OpenZWave::SensorAlarm, OpenZWave::SensorBinary, OpenZWave::SensorMultilevel, OpenZWave::SimpleAV, OpenZWave::SoundSwitch, OpenZWave::SwitchAll, OpenZWave::SwitchBinary, OpenZWave::SwitchMultilevel, OpenZWave::SwitchToggleBinary, OpenZWave::SwitchToggleMultilevel, OpenZWave::ThermostatFanMode, OpenZWave::ThermostatFanState, OpenZWave::ThermostatMode, OpenZWave::ThermostatOperatingState, OpenZWave::ThermostatSetpoint, OpenZWave::TimeParameters, OpenZWave::UserCode, OpenZWave::Version, OpenZWave::WakeUp, and OpenZWave::ZWavePlusInfo.

## ◆ GetDriver()

Driver * CommandClass::GetDriver | ( |  | ) | const

## ◆ GetEndPoint()

uint8 OpenZWave::CommandClass::GetEndPoint | ( | uint8 const | _instance | ) |
| inline

## ◆ GetHomeId()

uint32 OpenZWave::CommandClass::GetHomeId | ( |  | ) | const
| inline

## ◆ GetInstance()

uint8 OpenZWave::CommandClass::GetInstance | ( | uint8 const | _endPoint | ) |
| inline

## ◆ GetInstanceLabel()

string CommandClass::GetInstanceLabel | ( | uint8 const | _instance | ) |

## ◆ GetInstances()

Bitfield const * OpenZWave::CommandClass::GetInstances | ( |  | ) | const
| inline

## ◆ GetMaxVersion()

virtual uint8 OpenZWave::CommandClass::GetMaxVersion | ( |  | ) |
| inlinevirtual

Reimplemented in OpenZWave::Alarm, OpenZWave::BarrierOperator, OpenZWave::CentralScene, OpenZWave::Color, OpenZWave::ManufacturerSpecific, OpenZWave::Meter, OpenZWave::MultiInstance, OpenZWave::SensorMultilevel, OpenZWave::SwitchBinary, OpenZWave::SwitchMultilevel, OpenZWave::ThermostatMode, OpenZWave::ThermostatSetpoint, and OpenZWave::WakeUp.

## ◆ GetNodeId()

uint8 OpenZWave::CommandClass::GetNodeId | ( |  | ) | const
| inline

## ◆ GetNodeUnsafe()

Node * CommandClass::GetNodeUnsafe | ( |  | ) | const

## ◆ GetNumInstances()

uint8 OpenZWave::CommandClass::GetNumInstances | ( |  | ) |
| inline

## ◆ GetReceivedCnt()

uint32 OpenZWave::CommandClass::GetReceivedCnt | ( |  | ) | const
| inline

## ◆ GetSentCnt()

uint32 OpenZWave::CommandClass::GetSentCnt | ( |  | ) | const
| inline

## ◆ GetValue()

Value * CommandClass::GetValue | ( | uint8 const | _instance,
|  | uint16 const | _index
| ) |  |

## ◆ GetVersion()

uint8 OpenZWave::CommandClass::GetVersion | ( |  | ) | const
| inline

## ◆ HandleIncomingMsg()

virtual bool OpenZWave::CommandClass::HandleIncomingMsg | ( | uint8 const * | _data,
|  | uint32 const | _length,
|  | uint32 const | _instance = `1`
| ) |  |
| inlinevirtual

Reimplemented in OpenZWave::MultiInstance, and OpenZWave::SwitchMultilevel.

## ◆ HandleMsg()

virtual bool OpenZWave::CommandClass::HandleMsg | ( | uint8 const * | _data,
|  | uint32 const | _length,
|  | uint32 const | _instance = `1`
| ) |  |
| pure virtual

Implemented in OpenZWave::Alarm, OpenZWave::ApplicationStatus, OpenZWave::Association, OpenZWave::AssociationCommandConfiguration, OpenZWave::BarrierOperator, OpenZWave::Basic, OpenZWave::BasicWindowCovering, OpenZWave::Battery, OpenZWave::CentralScene, OpenZWave::ClimateControlSchedule, OpenZWave::Clock, OpenZWave::Color, OpenZWave::Configuration, OpenZWave::ControllerReplication, OpenZWave::CRC16Encap, OpenZWave::DeviceResetLocally, OpenZWave::DoorLock, OpenZWave::DoorLockLogging, OpenZWave::EnergyProduction, OpenZWave::Hail, OpenZWave::Indicator, OpenZWave::Language, OpenZWave::Lock, OpenZWave::ManufacturerProprietary, OpenZWave::ManufacturerSpecific, OpenZWave::Meter, OpenZWave::MeterPulse, OpenZWave::MultiChannelAssociation, OpenZWave::MultiCmd, OpenZWave::MultiInstance, OpenZWave::NodeNaming, OpenZWave::NoOperation, OpenZWave::Powerlevel, OpenZWave::Proprietary, OpenZWave::Protection, OpenZWave::SceneActivation, OpenZWave::Security, OpenZWave::SensorAlarm, OpenZWave::SensorBinary, OpenZWave::SensorMultilevel, OpenZWave::SimpleAV, OpenZWave::SoundSwitch, OpenZWave::SwitchAll, OpenZWave::SwitchBinary, OpenZWave::SwitchMultilevel, OpenZWave::SwitchToggleBinary, OpenZWave::SwitchToggleMultilevel, OpenZWave::ThermostatFanMode, OpenZWave::ThermostatFanState, OpenZWave::ThermostatMode, OpenZWave::ThermostatOperatingState, OpenZWave::ThermostatSetpoint, OpenZWave::TimeParameters, OpenZWave::UserCode, OpenZWave::Version, OpenZWave::WakeUp, and OpenZWave::ZWavePlusInfo.

## ◆ HasStaticRequest()

bool OpenZWave::CommandClass::HasStaticRequest | ( | uint8_t | _request | ) | const
| inline

## ◆ IsAfterMark()

bool OpenZWave::CommandClass::IsAfterMark | ( |  | ) | const
| inline

## ◆ IsInNIF()

bool OpenZWave::CommandClass::IsInNIF | ( |  | ) |
| inline

## ◆ IsSecured()

bool OpenZWave::CommandClass::IsSecured | ( |  | ) | const
| inline

## ◆ IsSecureSupported()

bool OpenZWave::CommandClass::IsSecureSupported | ( |  | ) | const
| inline

## ◆ ReadValueRefreshXML()

void CommandClass::ReadValueRefreshXML | ( | TiXmlElement const * | _ccElement | ) |
| protected

## ◆ ReadXML()

void CommandClass::ReadXML | ( | TiXmlElement const * | _ccElement | ) |
| virtual

Reimplemented in OpenZWave::Association, OpenZWave::Basic, OpenZWave::MultiChannelAssociation, OpenZWave::SensorBinary, OpenZWave::ThermostatFanMode, and OpenZWave::ThermostatMode.

## ◆ ReceivedCntIncr()

void OpenZWave::CommandClass::ReceivedCntIncr | ( |  | ) |
| inline

## ◆ refreshValuesOnWakeup()

void CommandClass::refreshValuesOnWakeup | ( |  | ) |
| virtual

## ◆ RemoveValue()

bool CommandClass::RemoveValue | ( | uint8 const | _instance,
|  | uint16 const | _index
| ) |  |

## ◆ RequestState()

virtual bool OpenZWave::CommandClass::RequestState | ( | uint32 const | _requestFlags,
|  | uint8 const | _instance,
|  | Driver::MsgQueue const | _queue
| ) |  |
| inlinevirtual

Reimplemented in OpenZWave::Alarm, OpenZWave::Association, OpenZWave::AssociationCommandConfiguration, OpenZWave::BarrierOperator, OpenZWave::Basic, OpenZWave::Battery, OpenZWave::CentralScene, OpenZWave::ClimateControlSchedule, OpenZWave::Clock, OpenZWave::Color, OpenZWave::DoorLock, OpenZWave::DoorLockLogging, OpenZWave::EnergyProduction, OpenZWave::Indicator, OpenZWave::Language, OpenZWave::Lock, OpenZWave::ManufacturerSpecific, OpenZWave::Meter, OpenZWave::MeterPulse, OpenZWave::MultiChannelAssociation, OpenZWave::NodeNaming, OpenZWave::Powerlevel, OpenZWave::Protection, OpenZWave::SensorAlarm, OpenZWave::SensorBinary, OpenZWave::SensorMultilevel, OpenZWave::SoundSwitch, OpenZWave::SwitchAll, OpenZWave::SwitchBinary, OpenZWave::SwitchMultilevel, OpenZWave::SwitchToggleBinary, OpenZWave::SwitchToggleMultilevel, OpenZWave::ThermostatFanMode, OpenZWave::ThermostatFanState, OpenZWave::ThermostatMode, OpenZWave::ThermostatOperatingState, OpenZWave::ThermostatSetpoint, OpenZWave::TimeParameters, OpenZWave::UserCode, OpenZWave::Version, OpenZWave::WakeUp, and OpenZWave::ZWavePlusInfo.

## ◆ RequestStateForAllInstances()

bool CommandClass::RequestStateForAllInstances | ( | uint32 const | _requestFlags,
|  | Driver::MsgQueue const | _queue
| ) |  |

## ◆ RequestValue()

virtual bool OpenZWave::CommandClass::RequestValue | ( | uint32 const | _requestFlags,
|  | uint16 const | _index,
|  | uint8 const | _instance,
|  | Driver::MsgQueue const | _queue
| ) |  |
| inlinevirtual

Reimplemented in OpenZWave::SensorAlarm, OpenZWave::SensorMultilevel, OpenZWave::ThermostatFanMode, OpenZWave::ThermostatMode, OpenZWave::Alarm, OpenZWave::Association, OpenZWave::AssociationCommandConfiguration, OpenZWave::BarrierOperator, OpenZWave::Basic, OpenZWave::Battery, OpenZWave::ClimateControlSchedule, OpenZWave::Clock, OpenZWave::Color, OpenZWave::DoorLock, OpenZWave::DoorLockLogging, OpenZWave::Indicator, OpenZWave::Language, OpenZWave::Lock, OpenZWave::ManufacturerProprietary, OpenZWave::ManufacturerSpecific, OpenZWave::Meter, OpenZWave::MeterPulse, OpenZWave::MultiChannelAssociation, OpenZWave::NodeNaming, OpenZWave::Powerlevel, OpenZWave::Protection, OpenZWave::SensorBinary, OpenZWave::SoundSwitch, OpenZWave::SwitchAll, OpenZWave::SwitchBinary, OpenZWave::SwitchMultilevel, OpenZWave::SwitchToggleBinary, OpenZWave::SwitchToggleMultilevel, OpenZWave::ThermostatFanState, OpenZWave::ThermostatOperatingState, OpenZWave::TimeParameters, OpenZWave::UserCode, OpenZWave::Version, OpenZWave::WakeUp, OpenZWave::ZWavePlusInfo, OpenZWave::Configuration, OpenZWave::ThermostatSetpoint, OpenZWave::EnergyProduction, and OpenZWave::CentralScene.

## ◆ SentCntIncr()

void OpenZWave::CommandClass::SentCntIncr | ( |  | ) |
| inline

## ◆ SetAfterMark()

void OpenZWave::CommandClass::SetAfterMark | ( |  | ) |
| inline

## ◆ SetCommandClassLabel()

void CommandClass::SetCommandClassLabel | ( | string | label | ) |

## ◆ SetEndPoint()

void OpenZWave::CommandClass::SetEndPoint | ( | uint8 const | _instance,
|  | uint8 const | _endpoint
| ) |  |
| inline

## ◆ SetInNIF()

void OpenZWave::CommandClass::SetInNIF | ( |  | ) |
| inline

## ◆ SetInstance()

void CommandClass::SetInstance | ( | uint8 const | _endPoint | ) |

## ◆ SetInstanceLabel()

void CommandClass::SetInstanceLabel | ( | uint8 const | _instance,
|  | char * | label
| ) |  |
| virtual

Reimplemented in OpenZWave::MultiInstance.

## ◆ SetInstances()

void CommandClass::SetInstances | ( | uint8 const | _instances | ) |

## ◆ SetSecured()

void OpenZWave::CommandClass::SetSecured | ( |  | ) |
| inline

## ◆ SetSecureSupport()

void OpenZWave::CommandClass::SetSecureSupport | ( |  | ) |
| inline

## ◆ SetStaticRequest()

void CommandClass::SetStaticRequest | ( | uint8_t | _request | ) |

## ◆ SetValue()

virtual bool OpenZWave::CommandClass::SetValue | ( | Value const & | _value | ) |
| inlinevirtual

Reimplemented in OpenZWave::Alarm, OpenZWave::BarrierOperator, OpenZWave::Basic, OpenZWave::BasicWindowCovering, OpenZWave::CentralScene, OpenZWave::ClimateControlSchedule, OpenZWave::Clock, OpenZWave::Color, OpenZWave::Configuration, OpenZWave::ControllerReplication, OpenZWave::DoorLock, OpenZWave::DoorLockLogging, OpenZWave::Indicator, OpenZWave::Lock, OpenZWave::ManufacturerProprietary, OpenZWave::Meter, OpenZWave::Powerlevel, OpenZWave::Protection, OpenZWave::SimpleAV, OpenZWave::SoundSwitch, OpenZWave::SwitchAll, OpenZWave::SwitchBinary, OpenZWave::SwitchMultilevel, OpenZWave::SwitchToggleBinary, OpenZWave::SwitchToggleMultilevel, OpenZWave::ThermostatFanMode, OpenZWave::ThermostatMode, OpenZWave::ThermostatSetpoint, OpenZWave::TimeParameters, OpenZWave::UserCode, and OpenZWave::WakeUp.

## ◆ SetValueBasic()

virtual void OpenZWave::CommandClass::SetValueBasic | ( | uint8 const | _instance,
|  | uint8 const | _level
| ) |  |
| inlinevirtual

Reimplemented in OpenZWave::Color, OpenZWave::DoorLock, OpenZWave::SensorBinary, OpenZWave::SwitchBinary, and OpenZWave::SwitchMultilevel.

## ◆ SetVersion()

void CommandClass::SetVersion | ( | uint8 const | _version | ) |
| virtual

Reimplemented in OpenZWave::SwitchMultilevel, and OpenZWave::WakeUp.

## ◆ UpdateMappedClass()

void CommandClass::UpdateMappedClass | ( | uint8 const | _instance,
|  | uint8 const | _classId,
|  | uint8 const | _value
| ) |  |

## ◆ ValueToInteger()

int32 CommandClass::ValueToInteger | ( | string const & | _value,
|  | uint8 * | o_precision,
|  | uint8 * | o_size
| ) |  | const

## ◆ WriteXML()

void CommandClass::WriteXML | ( | TiXmlElement * | _ccElement | ) |
| virtual

Reimplemented in OpenZWave::Association, OpenZWave::MultiChannelAssociation, OpenZWave::SensorBinary, OpenZWave::ThermostatFanMode, and OpenZWave::ThermostatMode.

## Member Data Documentation

## ◆ m_com

CompatOptionManager OpenZWave::CommandClass::m_com
| protected

## ◆ m_dom

CompatOptionManager OpenZWave::CommandClass::m_dom
| protected

The documentation for this class was generated from the following files:

- CommandClass.h
- CommandClass.cpp